org.apache.mina.filter.codec.demux

## Interface MessageDecoderFactory

-     public interface MessageDecoderFactory

  A factory that creates a new instance of `MessageDecoder`.
  Author:
    Apache MINA Project
  See Also:
    `DemuxingProtocolDecoder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageDecoder` | `getDecoder()` Creates a new message decoder.

- - ### Method Detail

    - #### getDecoder

          MessageDecoder getDecoder()
                                    throws Exception

      Creates a new message decoder.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.